Package org.jbpm.services.task.assignment.impl

## Class TaskInfo

- java.lang.Object
- - org.jbpm.services.task.assignment.impl.TaskInfo

-     public class TaskInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskInfo​(String ownerId, String taskName, String processId, String deploymentId, Long count)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getCount()` |
    `String` | `getDeploymentId()` |
    `String` | `getOwnerId()` |
    `String` | `getProcessId()` |
    `String` | `getTaskName()` |
    `void` | `setCount​(long count)` |
    `void` | `setDeploymentId​(String deploymentId)` |
    `void` | `setOwnerId​(String ownerId)` |
    `void` | `setProcessId​(String processId)` |
    `void` | `setTaskName​(String taskName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskInfo

          public TaskInfo​(String ownerId,
                          String taskName,
                          String processId,
                          String deploymentId,
                          Long count)

  - ### Method Detail

    - #### getTaskName

          public String getTaskName()

    - #### setTaskName

          public void setTaskName​(String taskName)

    - #### getOwnerId

          public String getOwnerId()

    - #### setOwnerId

          public void setOwnerId​(String ownerId)

    - #### getProcessId

          public String getProcessId()

    - #### setProcessId

          public void setProcessId​(String processId)

    - #### getDeploymentId

          public String getDeploymentId()

    - #### setDeploymentId

          public void setDeploymentId​(String deploymentId)

    - #### getCount

          public long getCount()

    - #### setCount

          public void setCount​(long count)